Summary:		%_vendor LXDE configuration files
Name:			mageia-lxde-config
Version:		0.6.4
Release:		%mkrel 4
Group:			Graphical desktop/Other
License:		GPLv2+
URL:			http://www.lxde.org
# (fwang) http://gitweb.mageia.org/software/desktop/lxde/config
Source0:		%{name}-%{version}.tar.xz
Source1:		Home3.desktop
BuildArch:		noarch

%description
Configuration files for %_vendor LXDE desktop environment.

%package -n %{name}-Default
Summary:		%_vendor LXDE Free configuration files
Group:			Graphical desktop/Other
Requires:		mageia-release-Default
Requires:		mageia-theme
Requires:		gvfs
Conflicts:		lxde-common < 0.3.2.1-6
Requires(post):		lxde-common >= 0.5
Requires(postun):	lxde-common >= 0.5
Provides:		%{name} = %{version}

%description -n %{name}-Default
Configuration files for %_vendor Free LXDE desktop environment.

%prep
%setup -q

%build
# nothing

%install
export sysconfdir=%{_sysconfdir}
export localstatedir=%{_localstatedir}/lib

%make_install

# install mageia desktop icons
install -d %{buildroot}%{_localstatedir}/lib/%_real_vendor/lxde-profiles/Desktop-icons/

install -m755 %{SOURCE1} %{buildroot}%{_localstatedir}/lib/%_real_vendor/lxde-profiles/Desktop-icons/org.lxde.home.desktop

%pre -n %{name}-Default
if [ -d %{_localstatedir}/lib/%_real_vendor/lxde-profiles/Default ]; then
  rm -rf %{_localstatedir}/lib/%_real_vendor/lxde-profiles/Default
fi

%post -n %{name}-Default
update-alternatives --install %{_sysconfdir}/xdg/lxsession/LXDE/desktop.conf lxde-config %{_localstatedir}/lib/%_real_vendor/lxde-profiles/Default/desktop.conf 10

%postun -n %{name}-Default
if ! [ -e /var/lib/%_real_vendor/lxde-profiles/Default ]; then
  update-alternatives --remove lxde-config /var/lib/%_real_vendor/lxde-profiles/Default/desktop.conf
fi

%triggerpostun -n %{name}-Default -- %{name}-Default < 0.5
update-alternatives --remove lxde-config /var/lib/%_real_vendor/lxde-profiles/Default/config

%files -n %{name}-Default
%{_localstatedir}/lib/mageia/lxde-profiles/Default
%{_localstatedir}/lib/%_real_vendor/lxde-profiles/Desktop-icons/*.desktop


%changelog
* Sun Sep 18 2016 akien <akien> 0.6.4-4.mga6
+ Revision: 1053697
- s/mageia-theme-Default/mageia-theme/

* Wed Mar 02 2016 ns80 <ns80> 0.6.4-3.mga6
+ Revision: 982936
- remove trash.desktop (mga#14210)

* Tue Feb 09 2016 umeabot <umeabot> 0.6.4-2.mga6
+ Revision: 952288
- Mageia 6 Mass Rebuild

* Wed Feb 11 2015 ns80 <ns80> 0.6.4-1.mga5
+ Revision: 814671
- Use Adwaita as default theme
- Use the same menu as the one that was in use in all preceding mga releases

* Thu Oct 23 2014 alexl <alexl> 0.6.3-1.mga5
+ Revision: 792792
- rename home.desktop to org.lxde.home.desktop
- rename trash.desktop to org.lxde.trash.desktop
- cleanup spec
- version 0.6.3

* Wed Oct 15 2014 umeabot <umeabot> 0.6.2-8.mga5
+ Revision: 748838
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.2-7.mga5
+ Revision: 682126
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 tarakbumba <tarakbumba> 0.6.2-6.mga5
+ Revision: 587705
-Remove register.desktop. Already provided by another package (mga#12667)

* Sat Oct 19 2013 umeabot <umeabot> 0.6.2-5.mga4
+ Revision: 523515
- Mageia 4 Mass Rebuild

* Thu May 16 2013 ennael <ennael> 0.6.2-4.mga3
+ Revision: 413322
- add missing require (#10113)

  + zezinho <zezinho>
    - fixed mageia home icon by tarekbumba

* Sun Apr 21 2013 zezinho <zezinho> 0.6.2-3.mga3
+ Revision: 410681
- patch to add mageia desktop icons at first login

* Sat Jan 12 2013 umeabot <umeabot> 0.6.2-2.mga3
+ Revision: 359295
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 fwang <fwang> 0.6.2-1.mga2
+ Revision: 199730
- upload taball
- new version 0.6.2: use oxygen as default theme

* Thu Feb 10 2011 dmorgan <dmorgan> 0.6.1-1.mga1
+ Revision: 49846
- Use Default instead of Free for the product

* Fri Feb 04 2011 ahmad <ahmad> 0.6-2.mga1
+ Revision: 46994
- imported package mageia-lxde-config

